Subject: [alpine-aports] [PATCH] main/php-memcache: APKBUILD recreated with apkbuild-pecl. No rebuild needed.

From: Valery Kartel <[email-masked]>
Date: Sat, 7 Nov 2015 01:17:11 +0200

---
 main/php-memcache/APKBUILD     | 44 +++++++++++++++---------------------------
 main/php-memcache/memcache.ini |  1 -
 2 files changed, 16 insertions(+), 29 deletions(-)
 delete mode 100644 main/php-memcache/memcache.ini

diff --git a/main/php-memcache/APKBUILD b/main/php-memcache/APKBUILD
index aed05bb..af5eaf5 100644
--- a/main/php-memcache/APKBUILD
+++ b/main/php-memcache/APKBUILD
@@ -1,49 +1,37 @@
+# Contributor: Valery Kartel <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=php-memcache
+_pkgreal=memcache
 pkgver=3.0.8
+_pkgver=${pkgver/_rc/RC}
 pkgrel=3
-pkgdesc="PHP memcache extension"
-url="http://pecl.php.net/package/memcache"
+pkgdesc="PHP extension memcache"
+url="http://pecl.php.net/package/$_pkgreal"
 arch="all"
 license="PHP"
 depends=
-depends_dev="php-dev"
-makedepends="$depends_dev zlib-dev autoconf"
+pecldepends="php-dev autoconf"
+makedepends="$pecldepends zlib-dev"
 install=""
 subpackages=""
-source="http://pecl.php.net/get/memcache-$pkgver.tgz
-	memcache.ini"
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
 
-_builddir="$srcdir/memcache-$pkgver"
-
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+_builddir="$srcdir"/$_pkgreal-$_pkgver
 
 build() {
 	cd "$_builddir"
 	phpize || return 1
-	./configure --prefix=/usr \
-		--enable-memcache || return 1
+	./configure --prefix=/usr || return 1
 	make || return 1
 }
 
 package() {
 	cd "$_builddir"
-	make INSTALL_ROOT="$pkgdir/" install || return 1
-	install -D -m644 "$srcdir"/memcache.ini \
-		"$pkgdir"/etc/php/conf.d/memcache.ini || return 1
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
+	install -d "$pkgdir"/etc/php/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php/conf.d/$_pkgreal.ini
 }
 
-md5sums="24505e9b263d2c77f8ae5e9b4725e7d1  memcache-3.0.8.tgz
-c0745f8d6fbb64379eb628fd5b4c70cf  memcache.ini"
-sha256sums="2cae5b423ffbfd33a259829849f6000d4db018debe3e29ecf3056f06642e8311  memcache-3.0.8.tgz
-1b25a4906793955260c8133260d25388546ea819be533427a995002a02a3c0f8  memcache.ini"
-sha512sums="916c6b21ab7c1021128626c0df35ef0b83cb76b6115fe7c45b003ca4f78ad9484bf3c998bc7ebdee19f84349ff1e56759f74e75aee5bc70b1de9a03c45a99bc3  memcache-3.0.8.tgz
-c067e4dc7ba25b0dc949c80cd6802eb283d6872f75931a9a2f93fed4571c81cb345b1e7c13ab5d2a88e724c01a9529363c020264e9a04d56312ed9173e440f4c  memcache.ini"
+md5sums="24505e9b263d2c77f8ae5e9b4725e7d1  memcache-3.0.8.tgz"
+sha256sums="2cae5b423ffbfd33a259829849f6000d4db018debe3e29ecf3056f06642e8311  memcache-3.0.8.tgz"
+sha512sums="916c6b21ab7c1021128626c0df35ef0b83cb76b6115fe7c45b003ca4f78ad9484bf3c998bc7ebdee19f84349ff1e56759f74e75aee5bc70b1de9a03c45a99bc3  memcache-3.0.8.tgz"
diff --git a/main/php-memcache/memcache.ini b/main/php-memcache/memcache.ini
deleted file mode 100644
index 587455f..0000000
--- a/main/php-memcache/memcache.ini
+++ /dev/null
@@ -1 +0,0 @@
-extension=memcache.so
-- 
2.6.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---